/*
 File: o2_err_hdlrsym.cpp
 Date and Time: Fri Jan 30 18:55:16 2015 
*/
#include "o2_err_hdlr.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_o2_err_hdlr;// grammar's ns
// first set terminals
// monolithic grammar --- no thread
void 
Co2_err_hdlr::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Ro2_err_hdlr_:{
       Ro2_err_hdlr* sym;
     if(re->rule_ == 0){
       sym = new Ro2_err_hdlr(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ro2_err_hdlr*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs2_Ro2_err_hdlr_:{
       Ro2_err_hdlr* sym;
     if(re->rule_ == 0){
       sym = new Ro2_err_hdlr(parser__);
       re->rule_ = sym;
     }else{
       sym = (Ro2_err_hdlr*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_Rerrors_:{
       Rerrors* sym;
     if(re->rule_ == 0){
       sym = new Rerrors(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerrors*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rerrors_:{
       Rerrors* sym;
     if(re->rule_ == 0){
       sym = new Rerrors(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerrors*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs3_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs4_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr4();
     return;}
    case rhs5_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr5();
     return;}
    case rhs6_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr6();
     return;}
    case rhs7_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr7();
     return;}
    case rhs8_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr8();
     return;}
    case rhs9_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr9();
     return;}
    case rhs10_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr10();
     return;}
    case rhs11_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr11();
     return;}
    case rhs12_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr12();
     return;}
    case rhs13_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr13();
     return;}
    case rhs14_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr14();
     return;}
    case rhs15_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr15();
     return;}
    case rhs16_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr16();
     return;}
    case rhs17_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->sr17();
     return;}
    case rhs18_Rerror_:{
       Rerror* sym;
     if(re->rule_ == 0){
       sym = new Rerror(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rerror*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr18();
     return;}
    default: return;
   }
}
